orte/mca/rmaps/rmaps.h File Reference.TH "orte/mca/rmaps/rmaps.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/rmaps/rmaps.h \- The Open RTE Resource MAPping Subsystem (RMAPS). 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_RMAPS_BASE_VERSION_1_0_0\fP"
.br
.RI "\fIMacro for use in components that are of type rmaps v1.0.0. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef int(* \fBorte_rmaps_base_module_map_fn_t\fP )(\fBorte_jobid_t\fP job)"
.br
.RI "\fIMapping function. \fP"
.ti -1c
.RI "typedef int(* \fBorte_rmaps_base_module_finalize_fn_t\fP )(void)"
.br
.RI "\fICleanup module resources. \fP"
.ti -1c
.RI "typedef \fBorte_rmaps_base_module_1_0_0_t\fP \fBorte_rmaps_base_module_1_0_0_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.ti -1c
.RI "typedef \fBorte_rmaps_base_module_1_0_0_t\fP \fBorte_rmaps_base_module_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.ti -1c
.RI "typedef \fBorte_rmaps_base_module_t\fP *(* \fBorte_rmaps_base_component_init_fn_t\fP )(int *priority)"
.br
.RI "\fIComponent init / selection. \fP"
.ti -1c
.RI "typedef \fBorte_rmaps_base_component_1_0_0_t\fP \fBorte_rmaps_base_component_1_0_0_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.ti -1c
.RI "typedef \fBorte_rmaps_base_component_1_0_0_t\fP \fBorte_rmaps_base_component_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The Open RTE Resource MAPping Subsystem (RMAPS). 

The resource mapping subsystem is responsible for mapping processes to specific nodes/cpus within a given job. In many systems, this functionality will not be supported - the system will map processes wherever it chooses and does not allow the user to specify the mapping. RMAPS components, therefore, provide services for those systems that do permit such mappings.
.PP
RMAPS checks the MCA parameters to see if a mapping algorithm has been specified. If the user selected a mapping algorithm, the indicated RMAPS component will take information from the registry to determine the number of applications/processes to be run, and the identified resources that have been allocated to this job. The selected RMAP component will then assign processes to resources according to its algorithm, with the results stored on the appropriate job segment - the assigned nodename for each process is stored in that respective process' container on the segment.
.SH "Define Documentation"
.PP 
.SS "#define ORTE_RMAPS_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* rmaps v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* rmaps v1.0 */ \
  'rmaps', 1, 0, 0
.fi
Macro for use in components that are of type rmaps v1.0.0. 
.PP
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
